diff --git a/src/odbc/unittests/warning.c b/src/odbc/unittests/warning.c
index 05f3353..741a250 100644
--- a/src/odbc/unittests/warning.c
+++ b/src/odbc/unittests/warning.c
@@ -14,7 +14,7 @@
  * inside recordset
  * Sybase do not return warning but test works the same
  */
-static char software_version[] = "$Id: warning.c,v 1.5 2007/05/17 13:11:56 freddy77 Exp $";
+static char software_version[] = "$Id: warning.c,v 1.6 2008/01/29 14:30:49 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char one_null_with_warning[] = "select max(a) as foo from (select convert(int, null) as a) as test";
@@ -30,15 +30,9 @@ Test(const char *query)
 {
 	int res;
 
-	if (SQLPrepare(Statement, (SQLCHAR *) query, SQL_NTS) != SQL_SUCCESS) {
-		fprintf(stderr, "Unable to prepare statement\n");
-		exit(1);
-	}
+	CHK(SQLPrepare, (Statement, (SQLCHAR *) query, SQL_NTS));
 
-	if (SQLExecute(Statement) != SQL_SUCCESS) {
-		fprintf(stderr, "Unable to execute statement\n");
-		exit(1);
-	}
+	CHK(SQLExecute, (Statement));
 
 	res = SQLFetch(Statement);
 	if (res != SQL_SUCCESS && res != SQL_SUCCESS_WITH_INFO) {

